div.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Functions

template<class IntType>
IntType | Gecode::Int::ceil_div_pp (IntType x, IntType y)
| Compute where x and y are non-negative.
template<class IntType>
IntType | Gecode::Int::floor_div_pp (IntType x, IntType y)
| Compute where x and y are non-negative.
template<class IntType>
IntType | Gecode::Int::ceil_div_px (IntType x, IntType y)
| Compute where x is non-negative.
template<class IntType>
IntType | Gecode::Int::floor_div_px (IntType x, IntType y)
| Compute where x is non-negative.
template<class IntType>
IntType | Gecode::Int::ceil_div_xp (IntType x, IntType y)
| Compute where y is non-negative.
template<class IntType>
IntType | Gecode::Int::floor_div_xp (IntType x, IntType y)
| Compute where y is non-negative.
template<class IntType>
IntType | Gecode::Int::ceil_div_xx (IntType x, IntType y)
| Compute .
template<class IntType>
IntType | Gecode::Int::floor_div_xx (IntType x, IntType y)
| Compute .